View Issue Details

IDProjectCategoryView StatusLast Update
0000480FakturamaAllgemein (General)public2018-06-11 09:50
ReporterthemrocAssigned Torheydenr  
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version2.0.3Fixed in Version2.0.3 
Summary0000480: [FAK-481 (alt)] Wiki: neuer Bereich für devs
Description

<p>Wie wär's mit einem extra Bereich für Leute, die an dem Java-Code rumfummeln wollen? Da würde ich dann z.B. ne aktualisierte Fassung von dem</p><p>http://sourceforge.net/p/fakturama/wiki/Install_Fakturama_Eclipse/</p><p>Text reinstellen.</p>

TagsNo tags attached.

Activities

themroc

2015-08-16 18:48

viewer   ~0000519

Last edited: 2017-12-30 00:08

<p>Und hier wär sowas vlt. auch ganz gut, man muss die User ja nicht mit Zeugs nerven, das sie eh nicht interessiert. Z.B. wüsste ich gerne, was Ihr davon haltet, gelegentlich mal auf http://code.google.com/p/noa-libre/ umzusteigen.</p>

rheydenr

2015-08-16 20:29

administrator   ~0000520

Last edited: 2017-12-30 00:08

<p>Den Code kann prinzipell jeder runterladen, der steht ja im Git. Einchecken geht natürlich nicht, sonst würde das Chaos ausbrechen. Das würde ich dann nur auf Leute beschränken, di auch konstruktive Beiträge liefern.<br />
Der Umstieg auf Noa-Libre wird nichts. Ich habe bereits auf ODF Toolkit umgestellt, das wird in Version 2.0 verwendet. Damit entfällt die Abhängigkeit zu Libre/OpenOffice.</p>

themroc

2015-08-17 11:29

viewer   ~0000521

Last edited: 2017-12-30 00:08

<p>Sehr gut. Damit sollte sich was bauen lassen, was komplett ohne externes Office-Paket auskommt. Braucht womöglich noch sowas wie http://code.google.com/p/xdocreport/wiki/ODFDOMConverterPDFViaIText und zum Drucken soll angeblich das hier https://java.net/projects/pdf-renderer geeignet sein.</p>
<p>Aber ich meinte die aktuelle Version. Da haben wir jetzt die unbefriedigende Situation, dass nur das hässliche LO funktioniert, weil das alte binäre noa-plugin nicht tut, weil die 1.6.8 auf <b>ag.ion.noa;bundle-version="2.2.305"</b> besteht. Klar, die Versionsnummer könnte man auch einfach etwas relaxter gestalten. Weiss jetzt nicht, ob <b>>=2.2.304</b> ginge, aber <b>=(2.2.304, 2.2.305)</b> sollte auf jeden Fall klappen. Oder man könnte das alte Noa vergewaltigen, auf das es die passende Versionsnummer meldet. Aber dann müssen die User immer noch mit binären jar-files rumfummeln. Mit Noa-libre sollen angeblich LO und OO funzen, und das wurde wenigstens bis Oct 1, 2013 gepflegt. Und weils ein fork vom original Noa ist, dürfte es sich ziemlich einfach einbauen lassen.</p>
<p>Und was ist mit dem "Developer Ressources" Wiki? Und dem alten Text auf SF, der potentiellen Entwicklern sagt, sie sollen mit der 1.6.7 auf google-code arbeiten?</p>

rheydenr

2018-06-11 09:50

administrator   ~0000763

Gibt's unter https://fakturama.atlassian.net/wiki/spaces/FAK/overview

Issue History

Date Modified Username Field Change
2017-12-30 00:08 rheydenr New Issue
2017-12-30 00:08 rheydenr Status new => assigned
2017-12-30 00:08 rheydenr Assigned To => rheydenr
2017-12-30 00:08 rheydenr Note Added: 0000519
2017-12-30 00:08 rheydenr Note Added: 0000520
2017-12-30 00:08 rheydenr Note Added: 0000521
2017-12-30 14:14 rheydenr Severity minor => feature
2018-02-11 23:48 rheydenr Target Version 2.4.0 => Pipeline
2018-06-11 09:22 rheydenr Target Version Pipeline => 2.0.3
2018-06-11 09:50 rheydenr Status assigned => closed
2018-06-11 09:50 rheydenr Resolution open => fixed
2018-06-11 09:50 rheydenr Fixed in Version 0.0 => 2.0.3
2018-06-11 09:50 rheydenr Note Added: 0000763